<div
  class="full-width full-height flex-column justify-content-space-evenly"
  [attr.data-test-dialog-id]="dialogId"
>
  <div class="flex-fixed-size p-t-10 p-l-10 p-r-10" sqtmCoreDialogHeader>
    @if (titleKey) {
      <span
        [attr.data-test-element-id]="'dialog-title'"
        class="sqtm-core-prevent-selection font-dialog-title"
      >
        {{ titleKey | translate | capitalize }}
      </span>
    }
    <ng-content select="sqtm-core-dialog-header"></ng-content>
  </div>
  <nz-divider class="sqtm-core-dialog-divider" />
  <div class="m-t-5 m-l-10 m-r-10 dialog-body-wrapper full-height">
    <ng-content select="sqtm-core-dialog-body"></ng-content>
  </div>
  <div class="flex-row flex-fixed-size m-b-8 m-r-10 justify-content-flex-end">
    <ng-content select="sqtm-core-dialog-footer"></ng-content>
    @if (!projectedFooter) {
      <button
        [attr.data-test-dialog-button-id]="'confirm'"
        nz-button
        nzType="primary"
        [disabled]="!allowConfirm"
        (click)="handleConfirm()"
      >
        {{ confirmLabelKey | translate | capitalize }}
      </button>
      <button
        [attr.data-test-dialog-button-id]="'cancel'"
        class="m-l-5"
        nz-button
        nzType="default"
        sqtmCoreDialogClose
      >
        {{ 'sqtm-core.generic.label.cancel' | translate }}
      </button>
    }
  </div>
</div>
